
Cognitive Interaction Toolkit - Bug #354

poor / no error feedback of build-generator

2014-12-17 12:23 - Robert Haschke

Status: Closed Start date: 2014-12-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

build generator silently fails to generate jenkins jobs (empty build script) if, for example, dollars ($) are not correctly prefixed in the

recipe. E.g. using shell syntax $(var).

build generator silently fails if checkout/clone of repo fails due to missing permissions.

error position shouldn't be given emacs style (char location), but line number + column number.

Related issues:

duplicates Cognitive Interaction Toolkit - Bug # 261: job-generator fails to ... Resolved 2014-05-28

duplicates Cognitive Interaction Toolkit - Bug # 345: job-configurator blocks... Resolved 2014-11-25

History

#1 - 2014-12-17 13:00 - Jan Moringen

build generator silently fails to generate jenkins jobs (empty build script) if, for example, dollars ($) are not correctly prefixed in the recipe. E.g.

using shell syntax $(var).

 

Duplicate of #261.

build generator silently fails if checkout/clone of repo fails due to missing permissions.

 

Is this like #345? Otherwise, please attach reproducible test case.

#2 - 2015-01-09 17:04 - Jan Moringen

- Status changed from New to Closed
